<?php

### =============================================================

### Mastop InfoDigital - Paixo por Internet

### =============================================================

### Classe para manipulao de Contedo

### =============================================================

### Developer: Fernando Santos (topet05), fernando@mastop.com.br

### Copyright: Mastop InfoDigital  2003-2006

### -------------------------------------------------------------

### www.mastop.com.br

### =============================================================

### $Id: mpu_mpb_mpublish.class.php,v 1.8 2007/06/16 22:46:09 kleber Exp $

### =============================================================

include_once XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/class/mpu_geral.class.php";

class mpu_mpb_mpublish extends mpu_geral {

    function mpu_mpb_mpublish($id=null){

        $this->db =& Database::getInstance();

        $this->tabela = $this->db->prefix(MPU_MOD_TABELA1);

        $this->id = "mpb_10_id";

        $this->initVar("mpb_10_id", XOBJ_DTYPE_INT, null, false);

        $this->initVar("mpb_10_idpai", XOBJ_DTYPE_INT, 0, false);
        
        $this->initVar("whichMenu1", XOBJ_DTYPE_INT, 0, false);
        $this->initVar("whichMenu2", XOBJ_DTYPE_INT, 0, false);
        
        $this->initVar("checkedOut", XOBJ_DTYPE_INT, 0, false);

        $this->initVar("usr_10_uid", XOBJ_DTYPE_INT, null, false);

        $this->initVar("mpb_30_menu", XOBJ_DTYPE_TXTBOX, null, false);

        $this->initVar("mpb_30_titulo", XOBJ_DTYPE_TXTBOX, null, false);

        $this->initVar("mpb_35_conteudo", XOBJ_DTYPE_TXTAREA, null, false);
        
        $this->initVar("draftContent", XOBJ_DTYPE_TXTAREA, null, false);
        
        $this->initVar("teaser", XOBJ_DTYPE_TXTAREA, null, false);
        
        $this->initVar("head", XOBJ_DTYPE_TXTAREA, null, false);

        $this->initVar("mpb_12_semlink", XOBJ_DTYPE_INT, 0, false);

        $this->initVar("mpb_30_arquivo", XOBJ_DTYPE_TXTBOX, null, false);

        $this->initVar("mpb_11_visivel", XOBJ_DTYPE_INT, 2, false);

        $this->initVar("mpb_11_abrir", XOBJ_DTYPE_INT, 0, false);

        $this->initVar("mpb_12_comentarios", XOBJ_DTYPE_INT, null, false);

        $this->initVar("mpb_12_exibesub", XOBJ_DTYPE_INT, 1, false);

        $this->initVar("mpb_12_recomendar", XOBJ_DTYPE_INT, 1, false);

        $this->initVar("mpb_12_imprimir", XOBJ_DTYPE_INT, 1, false);

        $this->initVar("mpb_22_criado", XOBJ_DTYPE_INT, 0, false);

        $this->initVar("mpb_22_atualizado", XOBJ_DTYPE_INT, 0, false);

        $this->initVar("mpb_10_ordem", XOBJ_DTYPE_INT, 0, false);
        
        $this->initVar('mpb_10_ordem2', XOBJ_DTYPE_INT, 0, false);

        $this->initVar("mpb_10_contador", XOBJ_DTYPE_INT, 0, false);

        

        $this->initVar("mpb_title_tag", XOBJ_DTYPE_TXTBOX, null, false);

        $this->initVar("meta_keywords", XOBJ_DTYPE_TXTAREA, null, false);

        $this->initVar("mpb_meta_description", XOBJ_DTYPE_TXTAREA, null, false);


        
        $this->initVar("authorGroupID", XOBJ_DTYPE_INT, null, false); 

        

        $this->initVar("mpb_light_popup", XOBJ_DTYPE_INT, null, false);
        
        
        $this->initVar("mpb_requires_access_form", XOBJ_DTYPE_INT, null, false);
        
        $this->initVar("mpb_contact_form_url", XOBJ_DTYPE_TXTBOX, null, false);
        
        
        $this->initVar("pageBlock", XOBJ_DTYPE_INT, 0, false);
        
        $this->initVar("teaserBlock", XOBJ_DTYPE_INT, 0, false); 
        
        
        $this->initVar("customCSS", XOBJ_DTYPE_TXTBOX, null, false);
        
        $this->initVar("customJS", XOBJ_DTYPE_TXTBOX, null, false);
        

        $this->initVar("enableAds", XOBJ_DTYPE_TXTBOX, null, false);
        
        
        $this->initVar("nofollow", XOBJ_DTYPE_INT, 0, false);
        

        if ( !empty($id) ) {

            if ( is_array($id) ) {

                $this->assignVars($id);

            }elseif (is_numeric($id)){

                $this->load(intval($id));

            }else{

                $this->loadByMenu($id);

            }

        }



    }

    function loadByMenu($menu)

    {

        $myts =& MyTextSanitizer::getInstance();

        //print "menu=$menu ";

        $mArr = explode('/', $menu);
        $mArrLen = count($mArr);
        $mIndex = $mArrLen - 1;
        $menu = $mArr[$mIndex];
        
        $menu = str_replace('%', '/', $menu);

        $sql = "SELECT * 
                FROM ".$this->tabela." 
                WHERE LOWER(mpb_30_menu)=LOWER('".$myts->addSlashes(html_entity_decode(urldecode($menu), ENT_QUOTES))."')";
        //print " sql=$sql ";

        $myrow = $this->db->fetchArray($this->db->query($sql));

        if (is_array($myrow) && count($myrow) > 0) {
        
            //print " page found ";

            $this->assignVars($myrow);

            return true;

        }else{

            return false;

        }

    }

    function cat_principal($mpb_10_id) {

        $cat_principal_query = $this->db->query("select count(*) as count from " . $this->tabela . " where mpb_10_id = '" . (int)$mpb_10_id . "' and mpb_10_idpai=0");

        $cat_principal = $this->db->fetchArray($cat_principal_query);

        if ($cat_principal['count'] > 0) {

            return true;

        } else {

            return false;

        }

    }

    function tem_subcategorias($mpb_10_id=null, $menu = false) {

        global $xoopsUser;

        $id = (empty($mpb_10_id)) ? $this->getVar($this->id) : $mpb_10_id;

        if(!$menu){

            $cat_filha_query = $this->db->query("select count(*) as count from " . $this->tabela . " where mpb_10_idpai =" . $id);

            $cat_filha = $this->db->fetchArray($cat_filha_query);

            if ($cat_filha['count'] > 0) {

                return true;

            } else {

                return false;

            }

        }else{

            $pages = $this->getPages();

            $cat_filha_query = $this->db->query("SELECT ".$this->id." FROM " . $this->tabela . " where mpb_10_idpai =" . $id . " AND mpb_11_visivel < 3");

            $total =  $this->db->getRowsNum($cat_filha_query);

            if ($total > 0){

                while ( $myrow = $this->db->fetchArray($cat_filha_query) ) {

                    if (in_array($myrow[$this->id], $pages)) {

                        return true;

                    }

                }

            }

            return false;

        }

    }
    
   /**
     * See if a menu page is the current page (also sets current for parent)   
     * Joseph McMurry for Technigrafa
     * 2/14/2008     
     */         
    function isCurrentMenuPage($url) {
           
       $myts =& MyTextSanitizer::getInstance();
    
       $http = ((strpos(XOOPS_URL, "https://")) === false) ? ("http://") : ("https://");
       $phpself = $_SERVER['PHP_SELF'];
       $httphost = $_SERVER['HTTP_HOST'];
       $querystring = $_SERVER['QUERY_STRING'];
       $querystring = str_replace(array('lang=fr', 'lang=en'), array('', ''),
       $querystring);
       if ($querystring != '') {
          $querystring = '?' . $querystring;
       }

       $currenturl = $http . $httphost . $phpself . $querystring;
       $relativecurrenturl = $phpself . $querystring;
       
       $currenturlNoIndex = $http . $httphost . str_replace("index.php", '', $phpself) . $querystring;
       $relativecurrenturlNoIndex = str_replace("index.php", '', $phpself) . $querystring;
       
       $currenturlnoqs = $http . $httphost . $phpself;
       $relativecurrenturlnoqs = $phpself;
       
       
       //print "currenturl=$currenturl url=$url currentnoindex=$currenturlNoIndex<br /><br />";
       
       if ( trim($url) == trim($currenturl) ) // absolute $url
          {  return true; }       
       else if ( trim($url) == trim($relativecurrenturl) ) // relative $url    
          {  return true; }    
       else  if ( trim($url) == trim($currenturlNoIndex) ) // absolute $url
          {  return true; }  
       else if ( trim($url) == trim($relativecurrenturlNoIndex) ) // relative $url    
          {  return true; }          
       else if ( trim($url.'/') == trim($currenturlNoIndex) ) // absolute $url
          {  return true; }              
       else if ( trim($url.'/') == trim($relativecurrenturl) ) // relative $url    
          {  return true; } 
       else if ( trim($url.'/') == trim($currenturl) ) // absolute $url
          {  return true; }               
       else if ( trim($url) == trim($relativecurrenturlnoqs) ) // relative $url w/o query string
          {  return true; }       
       else if ( trim($url) == trim($currenturlnoqs) ) // absolute $url w/o query string
          {  return true; }     
        
          
       
     
          
          
       // mod_rewrite $url for info/mastop
       $urlArr1 = explode('/', $url);
       $urlArrLen1 = count($urlArr1);
       if ($urlArrLen1 > 1)
          $urlArrPos1 = $urlArrLen1 - 1;
       $filename = $urlArr1[$urlArrPos1];       
       $urlArr = explode('.', $filename); 
       $urlArrLen = count($urlArr);
              
       if ($urlArrLen > 1) {
          $urlArrPos = $urlArrLen - 2;
          $pageName = $urlArr[$urlArrPos];
          $url2 = $http.$httphost."/modules/info/index.php?tac=modules/info/$pageName";
          $testurl = $http.$httphost."/new/modules/info/index.php?tac=$pageName";
          
          //print "url2=$url2<br />testurl=$testurl<br /><br />";
          
          if ( $url2 == trim($currenturl) )
             {  return true; }
          else if ( $testurl == trim($currenturl) )
             {  return true; }            
            // check for subpages
          else if ( ( strpos($currenturl, "/info") !== false ) ) { //&& ( ( strpos($url, "/info/information.html") !== false ) || ( strpos($url, "/info/?tac=information") !== false )) ) { // info module
           
           //print " info ";
           $urlArr1p = explode('/', $currenturl);
           //print "break 1";
           $urlArrLen1p = count($urlArr1p);
           //print "break 2";
           if ($urlArrLen1p > 1)
              $urlArrPos1p = $urlArrLen1p - 1;
           //print "break 3";
           $filenamep = $urlArr1p[$urlArrPos1p];       
           //print "break 4";
           $urlArrp = explode('.', $filenamep); 
          
            // get id of this page
            $qs = "SELECT mpb_10_id 	
                   FROM ".$this->db->prefix("mpu_mpb_mpublish")."
                   WHERE LOWER(mpb_30_menu)='".$myts->addSlashes($pageName)."'";
            //print " qs=$qs ";
            $rs = $this->db->query($qs);    
            $myrow = $this->db->fetchArray($rs);
            $parentID = $myrow['mpb_10_id'];
           if ($parentID > 0) {
           
            $filenamep = str_replace('_', ' ', $filenamep);
           
            $qs = "SELECT mpb_10_idpai 	
                   FROM ".$this->db->prefix("mpu_mpb_mpublish")."
                   WHERE mpb_10_idpai=".(int)$parentID." AND LOWER(mpb_30_menu)='".$myts->addSlashes($filenamep)."'";
            //print " qs=$qs ";
            $rs = $this->db->query($qs);    
            $myrow = $this->db->fetchArray($rs);         
            if ($parentID == $myrow['mpb_10_idpai']) { // $url is a subpage of this page
               //print "match<br /><br /><br />";
               return true;
            }   
           }    
          }    
       }   
          
       return false;       
    
    }
    

    function geraMenuSelect($mpb_10_idpai=0, $modules = true, $whichMenu = 1) {

        global $xoopsUser;

        $retorna[0] = 'This page not in this menu';
        $retorna['100000000'] = MPU_ADM_MENUP;

        if ($mpb_10_idpai == 0 && $modules == true){

            $module_handler =& xoops_gethandler('module');

            $criteria = new CriteriaCompo(new Criteria('hasmain', 1));

            $criteria->add(new Criteria('isactive', 1));

            $criteria->add(new Criteria('weight', 0, '>'));

            $modules = $module_handler->getObjects($criteria, true);

            $moduleperm_handler =& xoops_gethandler('groupperm');

            $groups = is_object($xoopsUser) ? $xoopsUser->getGroups() : XOOPS_GROUP_ANONYMOUS;

            $read_allowed = $moduleperm_handler->getItemIds('module_read', $groups);

            //print_r(array_keys($modules));

            foreach (array_keys($modules) as $i) {

                if (in_array($i, $read_allowed)) {

                    $subpgs = $this->tem_subcategorias($modules[$i]->getVar("mid")*-1);

                    $retorna[($modules[$i]->getVar("mid"))*-1] = "-".$modules[$i]->getVar('name');

                    if ($subpgs) {

                        $retornaS = $this->geraMenuSelect(($modules[$i]->getVar("mid"))*-1,$modules, $whichMenu);

                        foreach ($retornaS as $k => $v) {

                            $retorna[$k] = "&nbsp;&nbsp;&nbsp;  ".$v;

                        }

                    }

                }

            }

        }

        $tem_subs = 0;

        $cat_principal = 0;
        
        if ($whichMenu == 1)
           $categorias_query_catmenu = $this->db->query("select mpb_10_id, mpb_10_idpai, mpb_30_menu, whichMenu1, whichMenu2 from ".$this->tabela." where mpb_10_idpai=" . (int)$mpb_10_idpai . " order by mpb_10_ordem, mpb_30_menu");
        else
            $categorias_query_catmenu = $this->db->query("select mpb_10_id, mpb_10_idpai, mpb_30_menu, whichMenu1, whichMenu2 from ".$this->tabela." where mpb_10_idpai=" . (int)$mpb_10_idpai . " order by mpb_10_ordem2, mpb_30_menu");

        while ($categorias = $this->db->fetchArray($categorias_query_catmenu))  {

            if($this->getVar($this->id) > 0 && $this->getVar($this->id) == $categorias['mpb_10_id']){

                continue;

            }
            
            if ($whichMenu == 1) {
               if (!$categorias['whichMenu1'])
                  continue;
            }
            else { // $whichMenu == 2
               if (!$categorias['whichMenu2'])
                  continue;
            }
            

            $tem_subs= $this->tem_subcategorias($categorias['mpb_10_id']);

            $cat_principal = $this->cat_principal($categorias['mpb_10_id']);

            if ($cat_principal) {

                $categorias['mpb_30_menu'] = "-".$categorias['mpb_30_menu'];

            }

            if ($tem_subs) {

                $retorna[$categorias['mpb_10_id']] = $categorias['mpb_30_menu'];

                $retorna2 = $this->geraMenuSelect($categorias['mpb_10_id'],$modules, $whichMenu);

                foreach ($retorna2 as $k => $v) {

                    $retorna[$k] = "&nbsp;&nbsp;&nbsp;  ".$v;

                }

            } else {

                $retorna[$categorias['mpb_10_id']] = $categorias['mpb_30_menu'];

            }

        }
        
        //print_r($retorna);

        return $retorna;

    }



    function getPages(){

        global $xoopsUser;

        static $myPages = array();

        $module_handler =& xoops_gethandler('module');

        $groups = is_object($xoopsUser) ? $xoopsUser->getGroups() : XOOPS_GROUP_ANONYMOUS;

        $moduleperm_handler =& xoops_gethandler('groupperm');

        $mpu_module =& $module_handler->getByDirname(MPU_MOD_DIR);

        if (empty($myPages)) {

        $myPages = $moduleperm_handler->getItemIds('mpu_mpublish_acesso', $groups, $mpu_module->getVar('mid'));

        }

        return $myPages;

    }

    function urlencode_apache($u)
    {
       return str_replace(array("'",'%'),array('%27',"~"),urlencode($u));
    }
    

    function geraMenuCSS($criterio = null, $modulos = true, $whichMenu = 1) {
    
        global $xoopsUser, $xoopsDB;
        
        //print " geraMenuCSS() called "; // debug

        if (!is_object($criterio)) {

            $criterio = new CriteriaCompo(new Criteria("mpb_10_idpai", 0));

            $first = true;

            $ret = array();

        }else{

            $first = false;

            $ret = "";

        }

        if ($whichMenu == 1)
           $criterio->setSort("mpb_10_ordem");
        else
           $criterio->setSort("mpb_10_ordem2");

        $criterio->add(new Criteria("mpb_11_visivel", 3, "<")); // JCM 10/14/2008 for cloned menu addition
        
        //print " whichMenu=$whichMenu "; // debug
        
        if ($whichMenu == 1)
           $criterio->add(new Criteria('whichMenu1', 1));
        else    
           $criterio->add(new Criteria('whichMenu2', 1));

        $module_handler =& xoops_gethandler('module');

        $groups = is_object($xoopsUser) ? $xoopsUser->getGroups() : XOOPS_GROUP_ANONYMOUS;

        $moduleperm_handler =& xoops_gethandler('groupperm');

        $mpu_module =& $module_handler->getByDirname(MPU_MOD_DIR);

        //Incio Rotina Mdulos

        if ($modulos){

            $criteria = new CriteriaCompo(new Criteria('hasmain', 1));

            $criteria->add(new Criteria('isactive', 1));

            $criteria->add(new Criteria('weight', 0, '>'));

            $modules = $module_handler->getObjects($criteria, true);

            $read_allowed = $moduleperm_handler->getItemIds('module_read', $groups);

            foreach (array_keys($modules) as $i) {

               // print_r(array_keys($modules)); // debug


                if (in_array($i, $read_allowed)) {

                    $sublinks = $modules[$i]->subLink();

                    $subpgs = $this->tem_subcategorias($modules[$i]->getVar("mid")*-1, true);
                    
                    // set id="current" on li of current page - Joseph McMurry for Technigrafa 2/14/2008
                  
                    if ( $this->isCurrentMenuPage(XOOPS_URL."/modules/". $modules[$i]->getVar('dirname')) ) { // current page
                      $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] = "<li class=\"current\"><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/"."'><span>".$modules[$i]->getVar('name')."</span></a>";                     
                    }
                    else // not current page 
                      $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] = "<li><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/"."'><span>".$modules[$i]->getVar('name')."</span></a>";
                     

                    if ((count($sublinks) > 0) || $subpgs) {

                        $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .= "<ul>\n";

                        if (count($sublinks) > 0) {

                            foreach($sublinks as $sublink){
                              
                              if ($modules[$i]->getVar('dirname') == 'news') {
                               $qs = "SELECT mid
                                      FROM ".$xoopsDB->prefix('modules')."
                                      WHERE LOWER(name)='news'";        
                               $result = $xoopsDB->query($qs);
                               $myrow = $xoopsDB->fetchArray($result);
                               $mid = $myrow['mid'];
 
                               $qs = "SELECT conf_value
                                      FROM ".$xoopsDB->prefix('config')."
                                      WHERE conf_modid=".(int)$mid." AND conf_name='seo_urls'";
                               $result = $xoopsDB->query($qs);
                               $myrow = $xoopsDB->fetchArray($result);
                               $newsSeo = $myrow['conf_value'];   
                               if ($newsSeo && ($sublink['url'] != 'archive.php') && ($sublink['url'] != 'submit.php') && ($sublink['url'] != 'topics_directory.php') ) { // seo urls for news  
                                $suArr = explode('=', $sublink['url']); 
                                $topic_id = $suArr[1];
                                $qs = "SELECT topic_title
                                       FROM ".$xoopsDB->prefix('topics')."
                                       WHERE topic_id=".(int)$topic_id;        
                                $result = $xoopsDB->query($qs);
                                $myrow = $xoopsDB->fetchArray($result);
                                $topic = $myrow['topic_title'];                               
                                $topic = str_replace("-", "__", $topic);
                                $topic = $this->urlencode_apache(str_replace(" ", "_", strtolower($topic)));                                
                                $article_url = $topic.'.html'; // just link to topic
                                
                                if ( $this->isCurrentMenuPage(XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url']) ) { // current page
                                   $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="<li class=\"current\"><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$article_url ."'><span>".$sublink['name']."</span></a></li>\n";    
                                }
                                else {
                                   $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="<li><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$article_url ."'><span>".$sublink['name']."</span></a></li>\n";
                                }
                               }
                               else { // no seo
                                if ( $this->isCurrentMenuPage(XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url']) ) { // current page
                                   $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="<li class=\"current\"><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url'] ."'><span>".$sublink['name']."</span></a></li>\n";    
                                }
                                else {
                                   $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="<li><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url'] ."'><span>".$sublink['name']."</span></a></li>\n";
                                }
                               } 
                              }
                              else { // not news module
                                // set id="current" on li of current page - Joseph McMurry for Technigrafa 2/14/2008
                                if ( $this->isCurrentMenuPage(XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url']) ) { // current page
                                   $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="<li class=\"current\"><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url'] ."'><span>".$sublink['name']."</span></a></li>\n";    
                                }
                                else {
                                   $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="<li><a href='".XOOPS_URL."/modules/". $modules[$i]->getVar('dirname') ."/".$sublink['url'] ."'><span>".$sublink['name']."</span></a></li>\n";
                                }
                              }  

                            }

                        }

                        if ($subpgs) {

                            $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .= $this->geraMenuCSS(new CriteriaCompo(new Criteria("mpb_10_idpai", ($modules[$i]->getVar("mid"))*-1)), false, $whichMenu);

                        }

                        $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .="\n</ul>";

                    }

                    $ret[$modules[$i]->getVar('weight')][($modules[$i]->getVar("mid"))*-1] .= "</li>\n";

                }

            }

        }



        //Fim Rotina Mdulos

        $itens = $this->PegaTudo($criterio);
        
        //print_r($itens);
        
        //print " <br /> ";

        if ($itens) {

            $pages = $this->getPages();

            foreach ($itens as $it) {

                if (!in_array($it->getVar($it->id), $pages)) {

                    continue;

                }
                
                //print " m=".$it->getVar("mpb_30_menu").' ';

                if($first){

                    // set id="current" on li of current page - Joseph McMurry for Technigrafa 2/14/2008                  
                    if ( $it->isCurrentMenuPage($it->pegaLink()) ) { 
                       $ret[$it->getVar("mpb_10_ordem")][$it->getVar($it->id)] = "<li class=\"current\"><a href='".$it->pegaLink()."' ".(($it->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "")."><span>".$it->getVar("mpb_30_menu")."</span></a>";
                    }
                    else {
                       $ret[$it->getVar("mpb_10_ordem")][$it->getVar($it->id)] = "<li><a href='".$it->pegaLink()."' ".(($it->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "")."><span>".$it->getVar("mpb_30_menu")."</span></a>";   
                    } 

                    $subpgs = ($it->getVar("mpb_12_exibesub")) ? $it->tem_subcategorias($it->getVar($it->id), true) : 0;

                    $ret[$it->getVar("mpb_10_ordem")][$it->getVar($it->id)] .= ($subpgs) ? "<ul>\n".$it->geraMenuCSS(new CriteriaCompo(new Criteria("mpb_10_idpai", $it->getVar($it->id))), false, $whichMenu)."\n</ul>\n</li>\n" : "</li>\n";

                }else{

                    // set id="current" on li of current page - Joseph McMurry for Technigrafa 2/14/2008  
                    if ( $it->isCurrentMenuPage($it->pegaLink()) ) { 
                       $ret .= "<li class=\"current\"><a href='".$it->pegaLink()."' ".(($it->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "")."><span>".$it->getVar("mpb_30_menu")."</span></a>";
                    }  
                    else {
                        $ret .= "<li><a href='".$it->pegaLink()."' ".(($it->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "")."><span>".$it->getVar("mpb_30_menu")."</span></a>"; 
                    }

                    $subpgs = ($it->getVar("mpb_12_exibesub")) ? $it->tem_subcategorias($it->getVar($it->id), true) : 0;

                    $ret .= ($subpgs) ? "<ul>\n".$it->geraMenuCSS(new CriteriaCompo(new Criteria("mpb_10_idpai", $it->getVar($it->id))), false, $whichMenu)."\n</ul>\n</li>\n" : "</li>\n";

                }

            }

        }



        if($first){

            $retorno = "";

            //ksort($ret);

            foreach ($ret as $k=>$v) {

                foreach ($v as $b) {

                    $retorno .= $b;

                }

            }

            return $retorno;

        }


        return $ret;

    }

    function geraMenuRelated($criterio) {

        global $xoopsUser;

        if (!is_object($criterio)) {

            $criterio = new CriteriaCompo(new Criteria("mpb_10_idpai", $this->getVar('mpb_10_idpai')));

            $first = true;

            $ret = array();

        }else{

            $first = false;

            $ret = "";

        }

        $criterio->setSort("mpb_10_ordem");

        $criterio->add(new Criteria("mpb_11_visivel", 3, "<"));

        $module_handler =& xoops_gethandler('module');

        $groups = is_object($xoopsUser) ? $xoopsUser->getGroups() : XOOPS_GROUP_ANONYMOUS;

        $moduleperm_handler =& xoops_gethandler('groupperm');

        $mpu_module =& $module_handler->getByDirname(MPU_MOD_DIR);

        $itens = $this->PegaTudo($criterio);

        if ($itens) {

            $pages = $this->getPages();

            foreach ($itens as $it) {

                if (!in_array($it->getVar($it->id), $pages)) {

                    continue;

                }

                if($first){

                    $ret[$it->getVar("mpb_10_ordem")][$it->getVar($it->id)] = "<li><a href='".$it->pegaLink()."' ".(($it->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "")."><span>".$it->getVar("mpb_30_menu")."</span></a>";

                    $subpgs = ($it->getVar("mpb_12_exibesub")) ? $it->tem_subcategorias($it->getVar($it->id), true) : 0;

                    $ret[$it->getVar("mpb_10_ordem")][$it->getVar($it->id)] .= ($subpgs) ? "<ul>\n".$it->geraMenuRelated(new CriteriaCompo(new Criteria("mpb_10_idpai", $it->getVar($it->id))))."\n</ul>\n</li>\n" : "</li>\n";

                }else{

                    $ret .= "<li><a href='".$it->pegaLink()."' ".(($it->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "")."><span>".$it->getVar("mpb_30_menu")."</span></a>";

                    $subpgs = ($it->getVar("mpb_12_exibesub")) ? $it->tem_subcategorias($it->getVar($it->id), true) : 0;

                    $ret .= ($subpgs) ? "<ul>\n".$it->geraMenuRelated(new CriteriaCompo(new Criteria("mpb_10_idpai", $it->getVar($it->id))))."\n</ul>\n</li>\n" : "</li>\n";

                }

            }

        }



        if($first){

            $retorno = "";

            ksort($ret);

            foreach ($ret as $k=>$v) {

                foreach ($v as $b) {

                    $retorno .= $b;

                }

            }

            return $retorno;

        }

        return $ret;

    }



    /*
    function pegaLink($pg = null){

        if ($this->getVar('mpb_12_semlink')) {

            return 'javascript:void(0);';

        }elseif (substr($this->getVar("mpb_30_arquivo"), 0, 4) == "ext:"){

            return substr($this->getVar("mpb_30_arquivo"), 4);

        }

        $module_handler =& xoops_gethandler('module');

        $module =& $module_handler->getByDirname(MPU_MOD_DIR);

        $config_handler =& xoops_gethandler('config');

        $MeuModCFG =& $config_handler->getConfigsByCat(0,$module->getVar('mid'));

        if(!empty($MeuModCFG['mpu_conf_nomes_id'])){

            if ($this->contar(new Criteria("mpb_30_menu", $this->getVar("mpb_30_menu"))) > 1) {

                return XOOPS_URL."/modules/".MPU_MOD_DIR."/$pg?tac=".$this->getVar($this->id);

            }else{                

                if ( ($pg == 'print.php') || ($pg == 'recommend.php') ) { // no seo url

                   return XOOPS_URL."/modules/".MPU_MOD_DIR."/$pg?tac=".urlencode(str_replace(" ", "_", $this->getVar("mpb_30_menu")));

                }

                else {

                  // seo url

                  return XOOPS_URL."/modules/".MPU_MOD_DIR."/".urlencode(str_replace(" ", "_", $this->getVar("mpb_30_menu")))."-m.html";

                }

            }

        }else{

            return XOOPS_URL."/modules/".MPU_MOD_DIR."/$pg?tac=".$this->getVar($this->id);

        }

    }*/
    
    
    function pegaLink($pg = null){
    
        global $xoopsModuleConfig, $xoopsDB;

        if ($this->getVar('mpb_12_semlink')) {

            return 'javascript:void(0);';

        }elseif (substr($this->getVar("mpb_30_arquivo"), 0, 4) == "ext:"){

            return substr($this->getVar("mpb_30_arquivo"), 4);

        }
        
        if ( isset($xoopsModuleConfig['mpu_conf_use_seourls']))
           $mpu_conf_use_seourls = $xoopsModuleConfig['mpu_conf_use_seourls'];
        
        
        $qs = "SELECT mid
               FROM ".$xoopsDB->prefix('modules')."
               WHERE dirname='info'";        
        $result = $xoopsDB->query($qs);
        $myrow = $xoopsDB->fetchArray($result);
        $mid = $myrow['mid'];
 
 
        $qs = "SELECT conf_value
               FROM ".$xoopsDB->prefix('config')."
               WHERE conf_modid=".(int)$mid." AND conf_name='mpu_conf_use_seourls'";
        $result = $xoopsDB->query($qs);
        $myrow = $xoopsDB->fetchArray($result);
        $mpu_conf_use_seourls = $myrow['conf_value'];
          

        $module_handler =& xoops_gethandler('module');

        $module =& $module_handler->getByDirname(MPU_MOD_DIR);

        $config_handler =& xoops_gethandler('config');

        $MeuModCFG =& $config_handler->getConfigsByCat(0,$module->getVar('mid'));

        if(!empty($MeuModCFG['mpu_conf_nomes_id'])){

            if ($this->contar(new Criteria("mpb_30_menu", $this->getVar("mpb_30_menu"))) > 1) {

                return XOOPS_URL."/modules/".MPU_MOD_DIR."/$pg?tac=".$this->getVar('mpb_10_id');

            }else{                

                if ( ($pg == 'print.php') || ($pg == 'recommend.php') ) { // no seo url

                   return XOOPS_URL."/modules/".MPU_MOD_DIR."/$pg?tac=".urlencode(str_replace(" ", "_", strtolower($this->getVar("mpb_30_menu"))));

                }
                else if ( !$mpu_conf_use_seourls ) { // no seo url

                   return XOOPS_URL."/modules/".MPU_MOD_DIR."/?tac=".urlencode(str_replace(" ", "_", strtolower($this->getVar("mpb_30_menu"))));
                
                }
                else {

                  // seo url
                  $return = XOOPS_URL."/modules/".MPU_MOD_DIR."/".urlencode(str_replace(" ", "_", strtolower($this->getVar("mpb_30_menu")))); // allow slash in menu - replace w/ double underscore in URL 11/17/2008 JCM
                  if ($xoopsModuleConfig['mpu_conf_other_mod_re'])
                     $return .= "-m.html";
                  else   
                     $return .= ".html";

                  return $return;

                }

            }

        }else{

            return XOOPS_URL."/modules/".MPU_MOD_DIR."/$pg?tac=".$this->getVar('mpb_10_id');

        }

    }



    function updateCount(){

        $sql = 'UPDATE '.$this->tabela.' SET mpb_10_contador=mpb_10_contador+1 WHERE '.$this->id.'='.$this->getVar($this->id);

        if (!$result = $this->db->queryF($sql)) {

            return false;

        }

        return true;

    }

    function geraNavigation($id = null, $separador = "/", $style="style='font-weight:bold'"){

        if($id == null){

            $ret = "<span $style>".$this->getVar("mpb_30_menu")."</span>";

            if ($this->getVar("mpb_10_idpai") == 0) {

                $ret = "<a href='".XOOPS_URL."'>Home</a> $separador ".$ret;

                return $ret;

            }elseif ($this->getVar("mpb_10_idpai") > 0){

                $ret = $this->geraNavigation($this->getVar("mpb_10_idpai"), $separador)." $separador ". $ret;

            }else{

                $module_handler =& xoops_gethandler('module');

                $module = $module_handler->get($this->getVar("mpb_10_idpai")*-1);

                $ret = "<a href='".XOOPS_URL."'>Home</a> $separador ".$module->mainLink()." $separador ".$ret;

                return $ret;

            }

        }else{

            if ($id > 0) {

                $classe = get_class($this);

                $novo = new $classe($id);

                if ($novo->getVar($novo->id) > 0) {

                    $ret = "<a href='".$novo->pegaLink()."' ".(($novo->getVar("mpb_11_abrir") == 1) ? "target='_blank'" : "").">".$novo->getVar("mpb_30_menu")."</a>";

                    if ($novo->getVar("mpb_10_idpai") == 0) {

                        return "<a href='".XOOPS_URL."'>Home</a> $separador ".$ret;

                    }elseif ($novo->getVar("mpb_10_idpai") > 0){

                        $ret = $novo->geraNavigation($novo->getVar("mpb_10_idpai"), $separador)." $separador ". $ret;

                    }else{

                        $module_handler =& xoops_gethandler('module');

                        $module = $module_handler->get($novo->getVar("mpb_10_idpai")*-1);

                        $ret = "<a href='".XOOPS_URL."'>Home</a> $separador ".$module->mainLink()." $separador ".$ret;

                        return $ret;

                    }

                }

            }

        }

        return $ret;

    }



    function geraNavigationAdmin($id = null, $separador = "/", $style="style='font-weight:bold'"){

        $admin_url = XOOPS_URL."/modules/".MPU_MOD_DIR."/admin/index.php?op=listar";

        if ($id == false) {

            return false;

        }elseif($id == null){

            $ret = "<span $style>".$this->getVar("mpb_30_menu")."</span>";

            if ($this->getVar("mpb_10_idpai") == 0) {

                $ret = "<a href='".$admin_url."&mpb_10_id=0'>".MPU_ADM_MENUP."</a> $separador ".$ret;

                return $ret;

            }elseif ($this->getVar("mpb_10_idpai") > 0){

                $ret = $this->geraNavigationAdmin($this->getVar("mpb_10_idpai"), $separador)." $separador ". $ret;

            }else{

                $module_handler =& xoops_gethandler('module');

                $module = $module_handler->get($this->getVar("mpb_10_idpai")*-1);

                $ret = "<a href='".$admin_url."&mpb_10_id=0'>".MPU_ADM_MENUP."</a> $separador <a href='".$admin_url."&mpb_10_id=".$this->getVar("mpb_10_idpai")."'>".$module->getVar('name')."</a> $separador ".$ret;

                return $ret;

            }

        }elseif ($id < 0){

            $module_handler =& xoops_gethandler('module');

            $module = $module_handler->get($id*-1);

            $ret = "<a href='".$admin_url."&mpb_10_id=0'>".MPU_ADM_MENUP."</a> $separador <a href='".$admin_url."&mpb_10_id=".$id."'>".$module->getVar('name')."</a>";

            return $ret;

        }else{

            if ($id > 0) {

                $classe = get_class($this);

                $novo = new $classe($id);

                if ($novo->getVar($novo->id) > 0) {

                    $ret = "<a href='".$admin_url."&mpb_10_id=".$novo->getVar("mpb_10_id")."'>".$novo->getVar("mpb_30_menu")."</a>";

                    if ($novo->getVar("mpb_10_idpai") == 0) {

                        return "<a href='".$admin_url."&mpb_10_id=0'>".MPU_ADM_MENUP."</a> $separador ".$ret;

                    }elseif ($novo->getVar("mpb_10_idpai") > 0){

                        $ret = $novo->geraNavigationAdmin($novo->getVar("mpb_10_idpai"), $separador)." $separador ". $ret;

                    }else{

                        $module_handler =& xoops_gethandler('module');

                        $module = $module_handler->get($novo->getVar("mpb_10_idpai")*-1);

                        $ret = "<a href='".$admin_url."&mpb_10_id=0'>".MPU_ADM_MENUP."</a> $separador <a href='".$admin_url."&mpb_10_id=".$novo->getVar("mpb_10_idpai")."'>".$module->getVar('name')."</a> $separador ".$ret;

                        return $ret;

                    }

                }

            }else{

                return false;

            }

        }

        return $ret;

    }

    function PegaSmileys($campo = 'mpb_35_conteudo')

    {



        $myts =& MyTextSanitizer::getInstance();

        $smiles =& $myts->getSmileys();

        $ret = '';

        if (empty($smileys)) {

            $db =& Database::getInstance();

            if ($result = $db->query('SELECT * FROM '.$db->prefix('smiles').' WHERE display=1')) {

                while ($smiles = $db->fetchArray($result)) {

                    $ret .= "<img onclick=\"tinyMCE.execInstanceCommand('$campo', 'mceInsertContent', false, '<img src=\'".XOOPS_UPLOAD_URL."/".htmlspecialchars($smiles['smile_url'], ENT_QUOTES)."\' />');\" onmouseover='style.cursor=\"hand\"' src='".XOOPS_UPLOAD_URL."/".htmlspecialchars($smiles['smile_url'], ENT_QUOTES)."' alt='".$smiles['emotion']."' />";

                }

            }

        } else {

            $count = count($smiles);

            for ($i = 0; $i < $count; $i++) {

                if ($smiles[$i]['display'] == 1) {

                    $ret .= "<img onclick=\"tinyMCE.execInstanceCommand('$campo', 'mceInsertContent', false, '<img src=\'".XOOPS_UPLOAD_URL."/".htmlspecialchars($smiles[$i]['smile_url'], ENT_QUOTES)."\' />');\" onmouseover='style.cursor=\"hand\"' src='".XOOPS_UPLOAD_URL."/".$myts->oopsHtmlSpecialChars($smiles[$i]['smile_url'])."' border='0' alt='".$smiles[$i]['emotion']."' />";

                }

            }

        }

        return $ret;

    }



    function countSubs($mpb_10_id=null, $menu = false) {

        global $xoopsUser;

        $id = (empty($mpb_10_id)) ? $this->getVar($this->id) : $mpb_10_id;

        if(!$menu){

            $subs_query = $this->db->query("select count(*) as count from " . $this->tabela . " where mpb_10_idpai =" . $id);

            $cat_subs = $this->db->fetchArray($subs_query);

            if ($cat_subs['count'] > 0) {

                return $cat_subs['count'];

            } else {

                return 0;

            }

        }else{

            $pages = $this->getPages();

            $subs_query = $this->db->query("SELECT ".$this->id." FROM " . $this->tabela . " where mpb_10_idpai =" . $id . " AND mpb_11_visivel < 3");

            $total =  $this->db->getRowsNum($subs_query);

            if ($total > 0){

                $mySubs = 0;

                while ( $myrow = $this->db->fetchArray($cat_filha_query) ) {

                    if (in_array($myrow[$this->id], $pages)) {

                        $mySubs++;

                    }

                }

                return $mySubs;

            }else{

                return false;

            }

        }

    }

}

?>

