<?php

// Works just like strpos if $offset is positive.
// If $offset is negative, return the first position of needle
// before before $offset.
function strnpos($haystack, $needle, $offset=0)
{
    if ($offset>=0)
        $result=strpos($haystack, $needle, $offset);
    else
    {
        $offset=strlen($haystack)+$offset;
        $haystack=strrev($haystack);
        $needle=strrev($needle);
        $result=strpos($haystack, $needle, $offset);
        if ($result!==false)
        {
            $result+=strlen($needle);
            $result=strlen($haystack)-$result;
        }
    }
    return $result;
}


function replaceImages($content, $widthNEW) {

  global $xoopsModuleConfig;
  
  $resize = 1;

  $start = 0;
  while (1) {
  
     $imgPos = strpos($content, '<img', $start); 
     if ($imgPos === false) {
        $imgPos = strpos($content, '<IMG'); 
         
        if ($imgPos === false)
           break; // no more img tags in $content
            
     }
     
     $srcStartPos = strpos($content, 'src="', $imgPos+4);
     if ($srcStartPos == false) {
        $srcStartPos = strpos($content, 'SRC="', $imgPos+4); 
     }  
     $srcEndPos = strpos($content, '>', $srcStartPos+6); // end of image tag     
     
     // determine filename
     $rSrcStartPos = $srcStartPos+5;
     $sLen = $srcEndPos - $rSrcStartPos;
     
     $tagStr = substr($content, $rSrcStartPos, $sLen);
     
     // look for "align" attribute in $tagStr
     $alignAttribPos = strpos($tagStr, 'align="');
     $alignAttrib = '';
     if ($alignAttribPos !== FALSE) {
        // find closing "
        $alignAttribEndPos = strpos($tagStr, '"', $alignAttribPos+8);
        $alignLen = $alignAttribEndPos - ($alignAttribPos+7);
        $alignAttrib = substr($tagStr, $alignAttribPos+7, $alignLen);
     }
     
     // find "
     $srcEndPos_r = strpos($tagStr, '"', 6); // end of src attribute 
     $srcStr = substr($tagStr, 0, $srcEndPos_r);
     //print "s=0 e=$srcEndPos_r \n\n"; // DEBUG CODE
     
     $restOfTagStr = substr($tagStr, $srcEndPos_r+1);
     
     // find width and height in $restOfTagStr and remove if width > 50 
     $widthStartPos = strpos($restOfTagStr, 'width="');
     $widthEndPos = strpos($restOfTagStr, '"',  $widthStartPos+7);
     $width_n = substr($restOfTagStr, $widthStartPos+7, $widthEndPos-($widthStartPos+7));
     
     //print "start=$widthStartPos end=$widthEndPos width=$width\n"; // DEBUG CODE
    
    // check size of image to see if it's smaller than $width, if so, don't resize 
    list($orgWidth, $junk) = getimagesize(XOOPS_ROOT_PATH.$srcStr); 
     
    $width = $widthNEW; 
    if ( ($width_n > $width) || ($orgWidth > $width) ) {
       $resize = 1; // changed
    }
    else {
      if ($orgWidth)
         $width = $orgWidth;
      else 
         $width = $width_n;   
    }
    
    if ($width_n < $width)
       $resize = 0;
     
    if ($resize) { 
     $restOfTagStr = str_replace("width=\"$width_n\"", '', $restOfTagStr);
     $hStartPos = strpos($restOfTagStr, 'height="');
     $hEndPos = strpos($restOfTagStr, '"', $hStartPos+8);
     $h = substr($restOfTagStr, $hStartPos+8, $hEndPos-($hStartPos+8));
     $restOfTagStr = str_replace("height=\"$h\"", '', $restOfTagStr);
    }      
     //print " srcStr=$srcStr\n\n "; // DEBUG CODE
     $srcArr = explode('/', $srcStr);
     $srcArrLen = count($srcArr);
     $filename = $srcArr[$srcArrLen-1];  
     //print " filename=$filename\n ";  
     
     if ( ($width_n == '') || (!is_numeric($width_n)) )
        $width_n = $width;
     
     // replace w/ img resize text
     if ($resize)
        $replace = 'src="/resize_thumb.php?w='.$width.'&img='.$filename.'" ';
     else
        $replace = 'src="/resize_thumb.php?w='.$width_n.'&img='.$filename.'" ';
        
     $replaceNoAlign = str_replace('src="', '', $replace);   
        
     if ( trim($alignAttrib) != '' ) {
      if ($alignAttrib == 'left')
        $replace .= 'style="float:left;margin-right:5px" ';
      else
        $replace .= 'align='.$alignAttrib.' ';
     }    
     
     // if no link on img add to <a> tag class="thickbox" rel=""
     // thickbox JCM 12/4/2008 - need to fill rel w/ gallery name
     
     
     // see if there is an <a> tag immediately before (excluding whitespace) $imgPos - FILL IN!!!
     $noPrecedingATag = 0;
     $aStartPos = strnpos($content, '<a', -$imgPos);
     if ( $aStartPos === FALSE ) {
        $noPrecedingATag = 1;
        //print "<!-- imgPos=$imgPos -->";
     }   
     else {
       // see if it's IMMEDIATELY BEFORE the <img tag!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
       //  that is, only whitespace between the > of the <a tag and the < of the <img tag
       $aEndPos = strpos($content, '>', $aStartPos+2);
       
       // get substr from $aEndPos + 1 to the <img start - if NOT any non-whitespace characters in the substr,
       //  set $noPrecedingATag = 1
       $aImgSp = substr($content, $aEndPos+1, ($imgPos) - ($aEndPos+1) );
       //print "<!-- sub=$aImgSp content=$content imgPos=$imgPos aEndPos=$aEndPos -->"; // debug
       if ( trim($aImgSp) != '' )
          $noPrecedingATag = 1;
     }      
     
     
     if ($noPrecedingATag) {
     
        $newTitle = '';
        $titleStartPos = strpos($restOfTagStr, 'title="');
        if ($titleStartPos !== false) {
           $titleEndPos = strpos($restOfTagStr, '"',  $titleStartPos+7);
           $title = substr($restOfTagStr, $titleStartPos+7, $titleEndPos-($titleStartPos+7));
           if ( trim($title) != '' )
              $newTitle = $title;
        }
        if ($title == '') { // check for alt
           $altStartPos = strpos($restOfTagStr, 'alt="');
           if ($altStartPos !== false) {
              $altEndPos = strpos($restOfTagStr, '"',  $altStartPos+7);
              $title = substr($restOfTagStr, $altStartPos+7, $altEndPos-($altStartPos+7));
              if ( trim($title) != '' )
                 $newTitle = $title;
           }      
        }      
     
        // get alt or title from <img and put in <a title attrib
        // /resize_thumb.php?w=612&img='.$filename.'
        if ( $xoopsModuleConfig['infoThickboxImgs']) {
         $tW = $width;
         if (!$resize) {
           $replace .= $restOfTagStr; 
           $tW = $width_n;
         }
         if ( !isset($_GET['thickbox']) ) {
          $replace = '<a href="'.$srcStr.'" class="thickbox" rel="infoThickboxGallery" title="'.$title.'"><img '.$replace.' /></a>';
          //$replace = '<a href="'.$replaceNoAlign.' class="thickbox" rel="infoThickboxGallery" title="'.$title.'"><img '.$replace.' /></a>';
         
          // modify $srcStartPos, $len to account for <img as well
          $srcStartPos = $srcStartPos - 5; 
          $len += 75;   
         } 
         else {
          // already in a thickbox, no thickbox links here
          $replace = '<img '.$replace.' />';
          //$replace = '<a href="'.$replaceNoAlign.' class="thickbox" rel="infoThickboxGallery" title="'.$title.'"><img '.$replace.' /></a>';
         
          // modify $srcStartPos, $len to account for <img as well
          $srcStartPos = $srcStartPos - 5; 
          //$len += 75;   
         }
        }
        else {
          $replace .= $restOfTagStr;
        }
        
     }
     else {    
       $replace .= $restOfTagStr;
     }
     
     //print "replace=$replace";
     $len = $srcEndPos-$srcStartPos+1; // length of text to be replaced
     $content = substr_replace($content, $replace, $srcStartPos, $len);
     
     
     // update $start to end of replaced text
     $start = strpos($content, $replace) + strlen($replace);
     
  
  } // end while loop
  
  return $content;

}


?>
