<?php
header("Content-type:text/html\n\n");
/**
 * Gets and prints the teaser of an info page w/ "Read More" link to info page itself 
 * 10/27 by JCM
 */ 
 
  include '../../mainfile.php';
  
  if (!defined('MPU_MOD_DIR')) {
	 if ( file_exists("language/".$xoopsConfig['language']."/modinfo.php") ) {
		include_once("language/".$xoopsConfig['language']."/modinfo.php");
	 } 
   else {
		include_once("language/portuguesebr/modinfo.php");
	 }
  }
  include_once XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/class/mpu_mpb_mpublish.class.php";
  include_once XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/include/funcoes.inc.php";
  include XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/include/emailProtect.php";



  $tac = (isset($_GET['sect'])) ? $_GET['sect'] : 0;
  $tac = (is_int($tac)) ? $tac : str_replace("_"," ", $tac);

  $mpu_classe = new mpu_mpb_mpublish($tac);
  

  $title = $mpu_classe->getVar("mpb_30_titulo",'n');
  
  $teaser = prepareContent($mpu_classe->getVar("teaser", "n"));
  $teaser = protectEmailAddrs($teaser);
  
  // featured blocks
  $pageBlockID = $mpu_classe->getVar('pageBlock');
  $teaserBlockID = $mpu_classe->getVar('teaserBlock');
  
  include XOOPS_ROOT_PATH."/modules/info/include/resizeImg.php";

	$teaser = replaceImages($teaser, $xoopsModuleConfig['mpu_conf_auto_resize_image_width']);
	
  // rss feeds
  include XOOPS_ROOT_PATH."/modules/info/rsslib/rss_fetch.inc";
  

$feedContent = array();
$qs = "SELECT feed_addr
       FROM ".$xoopsDB->prefix('mpu_page_to_rss_feed')."
       WHERE mpb_10_id=".(int)$mpu_classe->getVar('mpb_10_id')."
       ORDER BY order_num";
$feeds_rs = $xoopsDB->query($qs);
while ($feed_row = $xoopsDB->fetchArray($feeds_rs)) {
  if ( trim($feed_row['feed_addr']) != '' ) {     
     $rss = fetch_rss($feed_row['feed_addr']);
     if ( is_object($rss) )
        $feedContent[] =  array('title' => $rss->channel['title'], 
                                  'content' => array_slice($rss->items, 0, 3)); // 3rd param is # posts to show per feed
  }    
}
	
	// 12/8/2008 JCM - below php code (before HTML) is for block loading
include_once XOOPS_ROOT_PATH.'/class/xoopsblock.php';

$xoopsOption['theme_use_smarty'] = 1;

// include Smarty template engine and initialize it
require_once XOOPS_ROOT_PATH . '/class/template.php';
require_once XOOPS_ROOT_PATH . '/class/theme.php';
require_once XOOPS_ROOT_PATH . '/class/theme_blocks.php';


if ( @$xoopsOption['template_main'] ) {
		if ( false === strpos( $xoopsOption['template_main'], ':' ) ) {
			$xoopsOption['template_main'] = 'db:' . $xoopsOption['template_main'];
		}
}
$xoopsThemeFactory =& new xos_opal_ThemeFactory();
$xoopsThemeFactory->allowedThemes = $xoopsConfig['theme_set_allowed'];
$xoopsThemeFactory->defaultTheme = $xoopsConfig['theme_set'];  

  
$xoTheme =& $xoopsThemeFactory->createInstance( array(
    	'contentTemplate' => @$xoopsOption['template_main'],
 ) 
);  

  
if ( @is_object( $xoTheme->plugins['xos_logos_PageBuilder'] ) ) 
		$aggreg =& $xoTheme->plugins['xos_logos_PageBuilder'];


	  // get blocks from $aggreg->blocks  
  
//print_r($aggreg->blocks); // debug - remove!!!  
  
// end 12/8/2008 php block code  

$isAdmin = 0;
if ( is_object($xoopsUser) ) {
 $grupos_ids = $xoopsUser->getGroups();
 if (in_array(XOOPS_GROUP_ADMIN, $grupos_ids)) {
	 $isAdmin = 1;
 }
}
?>
<div class="sidebarwrap-teaser">
<?php
  
if ($pageBlockID) {
 $qs = "SELECT title
        FROM ".$xoopsDB->prefix('newblocks')."
        WHERE bid=".(int)$pageBlockID;
 $pbRS = $xoopsDB->query($qs);
 $pbArr = $xoopsDB->fetchArray($pbRS); 
 
 foreach ($aggreg->blocks['page_bottomcenter'] as $currBlock) {
  if ($currBlock['id'] == $pageBlockID) {
?>



<div class="md_sidebar">
	<div class="md_sidebar_target">
	<!-- BEGIN SIDEBAR left box -->
	
		<h3 class="blockTitle"><?=$pbArr['title']?><?php if ($isAdmin) { ?><a href="<?php echo XOOPS_URL; ?>/modules/system/admin.php?fct=blocksadmin&op=edit&bid=<?php echo $currBlock['id'] ?>"><img src="<?php echo XOOPS_URL; ?>/images/icons/edit1.gif" title="Edit" alt="Edit"  /></a> <?php  } ?></h3> 
		
		<div class="rss_overflow">
			<div class="blockContent"><?=$currBlock['content']?></div> 
		</div>
	
	
	
	<!-- END SIDEBAR -->
	</div>
</div>
   

   
<?php
  }
 } 
} 
/**/
if ($teaserBlockID) {
 $qs = "SELECT title
        FROM ".$xoopsDB->prefix('newblocks')."
        WHERE bid=".(int)$teaserBlockID;
 $tbRS = $xoopsDB->query($qs);
 $tbArr = $xoopsDB->fetchArray($tbRS);     
 
 foreach ($aggreg->blocks['page_bottomright'] as $currBlock) {
  if ($currBlock['id'] == $teaserBlockID) {
 /**/ 
         ?> 
         

<div class="md_sidebar">
	<div class="md_sidebar_logo">
	<!-- BEGIN SIDEBAR right box -->
	
		<h3 class="blockTitle"><?=$tbArr['title']?><?php if ($isAdmin) { ?><a href="<?php echo XOOPS_URL; ?>/modules/system/admin.php?fct=blocksadmin&op=edit&bid=<?php echo $currBlock['id'] ?>"><img src="<?php echo XOOPS_URL; ?>/images/icons/edit1.gif" title="Edit" alt="Edit"  /></a> <?php  } ?></h3> 
		<div class="rss_overflow">
			<div class="blockContent"><?=$currBlock['content']?></div>
		</div>
	
	
	
	<!-- END SIDEBAR -->
	</div>

</div>
       
             
          
          
         <?php
         /**/
          }
         }
} /**/

if ( count($feedContent) ) {
?>
<div class="md_sidebar">
	<div class="rss_area">
		<h3 style="margin-bottom:5px;">Design Community News</h3>
		<div class="rss_overflow">
			<?php
			foreach ($feedContent as $c) {
			?>
			
			<div class="rss_header"><h4><?=$c['title']?></h4></div>
			<div class="rss_submenu">
				<ul>
				<?php
				foreach ($c['content'] as $itm) {
				?>
				<li style="padding: 0 0 10 0; margin: 0; list-style: none;" class="rss_submenu_item">
				<h5><a href="<?=$itm['link']?>" class="rss_submenu_item_title"><?=$itm['title']?></a></h5>
				
				<?=$itm['description']?>
				</li>
				<?php
				}
				?> 
				</ul>
			</div>
			<? } ?>
		</div>
	</div>
</div>
<?php
}
?>

</div> <!-- end sidebarwrap-teaser? -->

<h1><?=$title?></h1>
<?=$teaser?>

<div class="readmore"><a href="<?=$mpu_classe->pegaLink()?>"><strong>Read More...</strong></a></div>

