<?php

function replaceImages($content, $width) {

  $start = 0;
  while (1) {
  
     $imgPos = strpos($content, '<img', $start); 
     if ($imgPos === false) {
        $imgPos = strpos($content, '<IMG'); 
         
        if ($imgPos === false)
           break; // no more img tags in $content
            
     }
     
     $srcStartPos = strpos($content, 'src="', $imgPos+4);
     if ($srcStartPos == false) {
        $srcStartPos = strpos($content, 'SRC="', $imgPos+4); 
     }  
     $srcEndPos = strpos($content, '>', $srcStartPos+6); // end of image tag     
     
     // determine filename
     $rSrcStartPos = $srcStartPos+5;
     $sLen = $srcEndPos - $rSrcStartPos;
     
     $tagStr = substr($content, $rSrcStartPos, $sLen);
     
     // find "
     $srcEndPos_r = strpos($tagStr, '"', 6); // end of src attribute 
     $srcStr = substr($tagStr, 0, $srcEndPos_r);
     //print "s=0 e=$srcEndPos_r \n\n"; // DEBUG CODE
     
     $restOfTagStr = substr($tagStr, $srcEndPos_r+1);
     
     // find width and height in $restOfTagStr and remove if width > 50 
     $widthStartPos = strpos($restOfTagStr, 'width="');
     $widthEndPos = strpos($restOfTagStr, '"',  $widthStartPos+7);
     $width_n = substr($restOfTagStr, $widthStartPos+7, $widthEndPos-($widthStartPos+7));
     
     //print "start=$widthStartPos end=$widthEndPos width=$width\n"; // DEBUG CODE
     
    if ($width_n > $width) {
    
     $restOfTagStr = str_replace("width=\"$width_n\"", '', $restOfTagStr);
     
     $hStartPos = strpos($restOfTagStr, 'height="');
     $hEndPos = strpos($restOfTagStr, '"', $hStartPos+8);
     $h = substr($restOfTagStr, $hStartPos+8, $hEndPos-($hStartPos+8));
     $restOfTagStr = str_replace("height=\"$h\"", '', $restOfTagStr);
          
     //print " srcStr=$srcStr\n\n "; // DEBUG CODE
     $srcArr = explode('/', $srcStr);
     $srcArrLen = count($srcArr);
     $filename = $srcArr[$srcArrLen-1];  
     //print " filename=$filename\n ";  
     
     
     // replace w/ img resize text
     $replace = 'src="/resize_thumb.php?w='.$width.'&img='.$filename.'"';
     
     // remove width, height
     
     $replace .= $restOfTagStr;
     
     
     //print "replace=$replace";
     $len = $srcEndPos-$srcStartPos; // length of text to be replaced
     $content = substr_replace($content, $replace, $srcStartPos, $len);
     
     
     // update $start to end of replaced text
     $start = strpos($content, $replace) + strlen($replace);
     
    }
    else {
      // update $start just past end of this img tag
      $start = $srcEndPos;
    } 
  
  } // end while loop
  
  return $content;

}


?>
