<?php


include_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";
include XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/include/revisions.php";


// security - make sure current user has access to edit this page
$mpb_10_id = isset($_GET['mpb_10_id']) ? $_GET['mpb_10_id'] : $_POST['pageID'];
mpu_apagaPermissoes($mpb_10_id);


if ( !isset($_POST['submitted']) ) { // show form to select which backup to restore

   if ($debug) print " form ";

   $pageID = $_GET['mpb_10_id'];
   
   if ($debug) print " pageID=$pageID ";
   
   $mpb_form = new XoopsThemeForm(MPU_ADM_RESTORE_FORM_TITLE, "mpu_mpb_form", $_SERVER['PHP_SELF'], "post");
   
   if ($debug) print " themeform created ";
   
   // select to choose revision date/time (onchange reload page with new content and teaser)
   $revisionID = isset($_GET['revisionID']) ? $_GET['revisionID'] : 0;
   $revision_select = new XoopsFormSelect(MPU_ADM_SELECT_REV, 'revisionID', $revisionID, 1, false);
   // get revisions of this page
   $revisionsArr = getRevisions($pageID);
  if ( count($revisionsArr) > 1 ) {
   if ($debug) print " getRevisions() called ";
   $revision_select->addOptionArray($revisionsArr);
   $revision_select->setExtra("id=\"revision_id\" onchange=\"window.location.href='".$_SERVER['PHP_SELF']."?mpb_10_id=".(int)$pageID."&amp;revisionID='+document.getElementById('revision_id').value;\""); // JS onchange
   $mpb_form->addElement($revision_select);

   // divs to show content and teaser
   if ($revisionID > 0) {
      $revisionContentArr = getRevision($pageID, $revisionID);
      if ($debug) print " getRevision() called ";
      if($xoopsModuleConfig['mpu_conf_teaser']) {
          $mpb_form->addElement(new XoopsFormLabel('Teaser','<div id="teaser">'.$revisionContentArr['teaser'].'</div>'));
      }
      $mpb_form->addElement(new XoopsFormLabel('Content','<div id="content">'.$revisionContentArr['content'].'</div>'));
   }


   // restore button (goes to confirmation)
   $mpb_form->addElement(new XoopsFormButton("", "submit", MPU_ADM_RESTORE_BUTTON, "submit"));

   // hidden vars submittted and pageID
   $mpb_form->addElement(new XoopsFormHidden('submitted', 1));   
   $mpb_form->addElement(new XoopsFormHidden('pageID', (int)$pageID));
  }
  else {
   // no revisions to restore
   $mpb_form->addElement(new XoopsFormLabel('',MPU_ADM_NO_REVISIONS));
  } 
   $mpb_form->display();
   
}
else if ( !isset($_POST['confirmed'] ) ) { // confirmation   

   if ($debug) print " confirmation ";
   
   $mpb_form = new XoopsThemeForm(MPU_ADM_RESTORE_FORM_TITLE_CONFIRM, "mpu_mpb_form", $_SERVER['PHP_SELF'], "post");
   
   // hidden vars pageID, revisionID (of backup), submitted, and confirmed
   $mpb_form->addElement(new XoopsFormHidden('pageID', (int)$_POST['pageID']));
   $mpb_form->addElement(new XoopsFormHidden('revisionID', (int)$_POST['revisionID']));
   $mpb_form->addElement(new XoopsFormHidden('submitted', 1));
   $mpb_form->addElement(new XoopsFormHidden('confirmed', 1));
  
   // restore button 
   $mpb_form->addElement(new XoopsFormButton("", "submit", MPU_ADM_RESTORE_BUTTON, "submit"));
   
   $mpb_form->display();
  
}
else { // restore backup   

   if ($debug) print " restoring ";
   
   restoreRevision($_POST['pageID'], $_POST['revisionID']);
   
   // redirect w/ message 
   redirect_header(XOOPS_URL."/modules/".MPU_MOD_DIR."/admin/index.php", 3, MPU_ADM_RESTORED);
   
}


?>
