<?php
/**
 * Gets and prints the content of an info page (w/o ICMS header and footer)
 * 10/27 by JCM
 */ 
 
  include '../../mainfile.php';
  
  if (!defined('MPU_MOD_DIR')) {
	 if ( file_exists("language/".$xoopsConfig['language']."/modinfo.php") ) {
		include_once("language/".$xoopsConfig['language']."/modinfo.php");
	 } 
   else {
		include_once("language/portuguesebr/modinfo.php");
	 }
  }
  include_once XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/class/mpu_mpb_mpublish.class.php";
  include_once XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/include/funcoes.inc.php";
  include XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/include/emailProtect.php";

  $tac = (isset($_GET['sect'])) ? $_GET['sect'] : 0;
  $tac = (is_int($tac)) ? $tac : str_replace("_"," ", $tac);

  $mpu_classe = new mpu_mpb_mpublish($tac);

  $mpb_30_titulo = $mpu_classe->getVar('mpb_30_titulo');

  $content = prepareContent($mpu_classe->getVar("mpb_35_conteudo", "n"));
  
  $content = protectEmailAddrs($content);
  
  include XOOPS_ROOT_PATH."/modules/info/include/resizeImg.php";

	$content = replaceImages($content, $xoopsModuleConfig['mpu_conf_auto_resize_image_width']);
    
  $xoops_isadmin = 0;
  if ($xoopsUser) {
     $xoops_isadmin = $xoopsUser->isAdmin(); 
  }
    
  if($mpu_classe->getVar("mpb_12_recomendar") == 1){
        $recomendar = "<a href='".$mpu_classe->pegaLink("recommend.php")."' title='".MPU_MAI_RECOMMEND."'><img src='".XOOPS_URL."/modules/".MPU_MOD_DIR."/images/recomendar.jpg' alt='".MPU_MAI_RECOMMEND." '/></a> ";
  }
  else{
        $recomendar = "";
  }
  
  if ($mpu_classe->getVar("mpb_12_imprimir") == 1) {
        $imprimir = "<a href='".$mpu_classe->pegaLink("print.php")."' target='_blank'  title='".MPU_MAI_PRINT."'><img src='".XOOPS_URL."/modules/".MPU_MOD_DIR."/images/imprimir.jpg' alt='".MPU_MAI_PRINT." ' /></a>";
  }
  else{
        $imprimir = '';
  }
    
  /* begin for editing */
   if (!empty($xoopsUser) && $xoopsUser->isAdmin()) {
        $infos = MPU_MAI_INFOPG;
        $autor = MPU_MAI_AUTOR." <b>".XoopsUser::getUnameFromId($mpu_classe->getVar("usr_10_uid"))."</b>";
        $criado = MPU_MAI_CRIADO." <b>".date(_SHORTDATESTRING, $mpu_classe->getVar("mpb_22_criado"))."</b>";
        $atualizado = MPU_MAI_ATUALIZADO." <b>".date(_SHORTDATESTRING, $mpu_classe->getVar("mpb_22_atualizado"))."</b>";
        $contador = sprintf(MPU_MAI_CONTADOR, $mpu_classe->getVar("mpb_10_contador"));
        $zerar_cont = '<input style="font-size: 11px; border:2px solid #9C9C9C; background-color: #FFFFFF" name="limpacont" id="limpacont" value="'.MPU_MAI_ZCONTADOR.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/admin/index.php?op=limpacont&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'\'" type="button">';
        $editar_pagina = '<input style="font-size: 11px; border:2px solid #9C9C9C; background-color: #FFFFFF" name="editcont" id="editcont" value="'.MPU_MAI_EDITPAGE.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/admin/index.php?op=listar_editar&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'&nonAdminEdit=1\'" type="button">';
        $tools_image = "<a href='javascript:void(0)' title='".MPU_MAI_INFOPG."' onclick='document.getElementById(\"admin_page\").style.display=(document.getElementById(\"admin_page\").style.display)? \"\" : \"none\"'><img src='".XOOPS_URL."/modules/".MPU_MOD_DIR."/images/tools.jpg' alt='".MPU_MAI_INFOPG."'></a>";
        $mpu_isauthor = 1;
    }elseif (!empty($xoopsUser) && $xoopsUser->getVar('uid') == $mpu_classe->getVar("usr_10_uid") && ($xoopsModuleConfig['mpu_conf_canedit'] == 1 || $xoopsModuleConfig['mpu_conf_cancreate'] == 1)){
        $infos = MPU_MAI_INFOPG;
        $autor = MPU_MAI_AUTOR." <b>".XoopsUser::getUnameFromId($mpu_classe->getVar("usr_10_uid"))."</b>";
        $criado = MPU_MAI_CRIADO." <b>".date(_SHORTDATESTRING, $mpu_classe->getVar("mpb_22_criado"))."</b>";
        $atualizado = MPU_MAI_ATUALIZADO." <b>".date(_SHORTDATESTRING, $mpu_classe->getVar("mpb_22_atualizado"))."</b>";
        $contador = sprintf(MPU_MAI_CONTADOR, $mpu_classe->getVar("mpb_10_contador"));
        $zerar_cont = '<input style="font-size: 11px; border:2px solid #9C9C9C; background-color: #FFFFFF" name="limpacont" id="limpacont" value="'.MPU_MAI_ZCONTADOR.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/author.php?op=limpacont&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'\'" type="button">';
        $editar_pagina = (($xoopsModuleConfig['mpu_conf_canedit']) ? '<input style="font-size: 11px; border:2px solid #9C9C9C; background-color: #FFFFFF" name="editcont" id="editcont" value="'.MPU_MAI_EDITPAGE.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/author.php?op=editar&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'&nonAdminEdit=1\'" type="button"><br /><br />' : '').'<input style="font-size: 11px; border:2px solid #FF0000; background-color: #FFFFFF" name="mycont" id="mycont" value="'.MPU_MAI_MYPAGES.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/author.php?op=listar\'" type="button"> '.(($xoopsModuleConfig['mpu_conf_cancreate']) ? ' <input style="font-size: 11px; border:2px solid #FF0000; background-color: #FFFFFF" name="newcont" id="newcont" value="'.MPU_MAI_NEWPAGE.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/author.php?op=novo&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'\'" type="button">' : '' ).(($xoopsModuleConfig['mpu_conf_candelete']) ? ' <input style="font-size: 11px; border:2px solid #FF0000; background-color: #FFFFFF" name="delcont" id="delcont" value="'._DELETE.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/author.php?op=deletar&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'\'" type="button">' : '' );
        $tools_image = "<a href='javascript:void(0)' title='".MPU_MAI_INFOPG."' onclick='document.getElementById(\"admin_page\").style.display=(document.getElementById(\"admin_page\").style.display)? \"\" : \"none\"'><img src='".XOOPS_URL."/modules/".MPU_MOD_DIR."/images/tools.jpg' alt='".MPU_MAI_INFOPG."'></a>";
        $mpu_isauthor = 1;
    }
    // new code for author as a group
    else if ( $row['authorGroupID'] > 0 ) { // if in author group
     // check to see if logged in user is a member of the author group

    $qs = "SELECT g.uid
           FROM ".$xoopsDB->prefix("mpu_mpb_mpublish")." m, ".$xoopsDB->prefix("groups_users_link")." g
           WHERE m.authorGroupID=g.groupid AND g.uid=".(int)$xoopsUser;

    $result = $xoopsDB->query($qs);

    if ( mysql_num_rows($result) > 0 ) {  
        $infos = MPU_MAI_INFOPG;
        $autor = MPU_MAI_AUTOR." <b>".XoopsUser::getUnameFromId($mpu_classe->getVar("usr_10_uid"))."</b>";
        $criado = MPU_MAI_CRIADO." <b>".date(_SHORTDATESTRING, $mpu_classe->getVar("mpb_22_criado"))."</b>";
        $atualizado = MPU_MAI_ATUALIZADO." <b>".date(_SHORTDATESTRING, $mpu_classe->getVar("mpb_22_atualizado"))."</b>";
        $contador = sprintf(MPU_MAI_CONTADOR, $mpu_classe->getVar("mpb_10_contador"));
        $editar_pagina = '<input style="font-size: 11px; border:2px solid #9C9C9C; background-color: #FFFFFF" name="editcont" id="editcont" value="'.MPU_MAI_EDITPAGE.'" onclick="document.location= \''.XOOPS_URL.'/modules/'.MPU_MOD_DIR.'/index.php?op=listar_editar&mpb_10_id='.$mpu_classe->getVar('mpb_10_id').'&nonAdminEdit=1\'" type="button">';
        $tools_image = "<a href='javascript:void(0)' title='".MPU_MAI_INFOPG."' onclick='document.getElementById(\"admin_page\").style.display=(document.getElementById(\"admin_page\").style.display)? \"\" : \"none\"'><img src='".XOOPS_URL."/modules/".MPU_MOD_DIR."/images/tools.jpg' alt='".MPU_MAI_INFOPG."'></a>";
        $mpu_isauthor = 1;        
     }             

    }    

    // end author as a group

    else{
        $mpu_isauthor = 0;
    }
  /* end for editing */
  
  // featured blocks
  $pageBlockID = $mpu_classe->getVar('pageBlock'); 
  $teaserBlockID = $mpu_classe->getVar('teaserBlock'); 
  
  // rss feeds
  include XOOPS_ROOT_PATH."/modules/".MPU_MOD_DIR."/rsslib/rss_fetch.inc";

$feedContent = array();
$qs = "SELECT feed_addr
       FROM ".$xoopsDB->prefix('mpu_page_to_rss_feed')."
       WHERE mpb_10_id=".(int)$mpu_classe->getVar('mpb_10_id')."
       ORDER BY order_num";
$feeds_rs = $xoopsDB->query($qs);
while ($feed_row = $xoopsDB->fetchArray($feeds_rs)) {
  if ( trim($feed_row['feed_addr']) != '' ) {
  
     $rss = fetch_rss($feed_row['feed_addr']);
     if ( is_object($rss) )
        $feedContent[] =  array('title' => $rss->channel['title'], 
                                  'content' => array_slice($rss->items, 0, $xoopsModuleConfig['mpu_conf_posts_feed'])); // 3rd param is # posts to show per feed
  }    
}
  
// 12/8/2008 JCM - below php code (before HTML) is for block loading
include_once XOOPS_ROOT_PATH.'/class/xoopsblock.php';

$xoopsOption['theme_use_smarty'] = 1;

// include Smarty template engine and initialize it
require_once XOOPS_ROOT_PATH . '/class/template.php';
require_once XOOPS_ROOT_PATH . '/class/theme.php';
require_once XOOPS_ROOT_PATH . '/class/theme_blocks.php';
  
if ( @$xoopsOption['template_main'] ) {
		if ( false === strpos( $xoopsOption['template_main'], ':' ) ) {
			$xoopsOption['template_main'] = 'db:' . $xoopsOption['template_main'];
		}
}
$xoopsThemeFactory =& new xos_opal_ThemeFactory();
$xoopsThemeFactory->allowedThemes = $xoopsConfig['theme_set_allowed'];
$xoopsThemeFactory->defaultTheme = $xoopsConfig['theme_set'];  
  
$xoTheme =& $xoopsThemeFactory->createInstance( array(
    	'contentTemplate' => @$xoopsOption['template_main'],
 ) 
);  
  
if ( @is_object( $xoTheme->plugins['xos_logos_PageBuilder'] ) ) 
		$aggreg =& $xoTheme->plugins['xos_logos_PageBuilder'];

	  // get blocks from $aggreg->blocks  
  
//print_r($aggreg->blocks); // debug - remove!!!  
  
// end 12/8/2008 php block code  

$isAdmin = 0;
if ( is_object($xoopsUser) ) {
 $grupos_ids = $xoopsUser->getGroups();
 if (in_array(XOOPS_GROUP_ADMIN, $grupos_ids)) {
	 $isAdmin = 1;
 }
} 


if ($mpb_30_titulo != '' ) { ?>
 <h1><?=$mpb_30_titulo?></h1>
<?php
}
$teaser = $mpu_classe->getVar('teaser', n);
$teaser = replaceImages($teaser, $xoopsModuleConfig['mpu_conf_auto_resize_image_width']);
$teaser = protectEmailAddrs($teaser);
?>
<div class="sidebarwrap">
<?php
if ($pageBlockID) {
 $qs = "SELECT title
        FROM ".$xoopsDB->prefix('newblocks')."
        WHERE bid=".(int)$pageBlockID;
 $pbRS = $xoopsDB->query($qs);
 $pbArr = $xoopsDB->fetchArray($pbRS); 
 
 foreach ($aggreg->blocks['page_bottomcenter'] as $currBlock) {
  
  if ($currBlock['id'] == $pageBlockID) {
?> 
<div class="md_sidebar">
	<div class="md_sidebar_target">
	<!-- BEGIN SIDEBAR right box -->
	
		<!-- Start center-bottom-right blocks loop -->
		<h3 class="blockTitle"><?=$pbArr['title']?><?php if ($isAdmin) { ?><a href="<?php echo XOOPS_URL; ?>/modules/system/admin.php?fct=blocksadmin&op=edit&bid=<?php echo $currBlock['id'] ?>"><img src="<?php echo XOOPS_URL; ?>/images/icons/edit1.gif" title="Edit" alt="Edit"  /></a> <?php  } ?></h3> 
		<div class="rss_overflow"><?=$currBlock['content']?></div>
		
		<!-- End center-bottom-right blocks loop -->
	
	
	<!-- END SIDEBAR -->
	</div>
</div>
<?php
  }
 } 
}
/**/
if ($teaserBlockID) {
 $qs = "SELECT title
        FROM ".$xoopsDB->prefix('newblocks')."
        WHERE bid=".(int)$teaserBlockID;
 $tbRS = $xoopsDB->query($qs);
 $tbArr = $xoopsDB->fetchArray($tbRS);     
 
 
         foreach ($aggreg->blocks['page_bottomright'] as $currBlock) {
          
          if ($currBlock['id'] == $teaserBlockID) {
  /**/
         ?> 
<div class="md_sidebar">
	<div class="md_sidebar_logo">
	<!-- BEGIN SIDEBAR left box -->
	
	
	
	
		<h3 class="blockTitle"><?=$tbArr['title']?><?php if ($isAdmin) { ?><a href="<?php echo XOOPS_URL; ?>/modules/system/admin.php?fct=blocksadmin&op=edit&bid=<?php echo $currBlock['id'] ?>"><img src="<?php echo XOOPS_URL; ?>/images/icons/edit1.gif" title="Edit" alt="Edit"  /></a> <?php  } ?></h3> 
		<div class="rss_overflow">
		<?=$currBlock['content']?>
		</div>
	
	
	
	<!-- END SIDEBAR -->
	</div>
</div>
         <?php
         /**/
          }
         }
} /**/

?>
<?php
if ( count($feedContent) ) {
?>
<div class="md_sidebar">
	<div class="rss_area">
		<h3>Design Community News</h3>
		<div class="rss_overflow">
			<?php
			foreach ($feedContent as $c) {
			?>
			<div class="rss_header"><h4><?=$c['title']?></h4></div>
			<div class="rss_submenu">
				<ul>
				<?php
				foreach ($c['content'] as $itm) {
				?>
				<li style="padding: 0 0 10 0; margin: 0; list-style: none;" class="rss_submenu_item">
				<h5><a href="<?=$itm['link']?>" class="rss_submenu_item_title"><?=$itm['title']?></a></h5>
				
				<?=$itm['description']?>
				</li>
				<?php
				}
				?> 
				</ul>
			</div>
			<?
			}
			?>
		</div>
	</div>
</div>
<?php
}
?>
</div>


<?=$teaser?>
<?=$content?>

<div style="padding: 0px; text-align: right; margin-right:3px;">
<?php 
if ($xoops_isadmin || $mpu_isauthor) {
?>
<?=$tools_image?>
	<div id="admin_page" style="text-align:left; clear: right; float: right;	width: 270px; padding-left: 10px; padding-bottom: 5px; border: 2px solid #9C9C9C; background-color: #F2F2F2; display:none; margin: 10px 10px 10px 10px; z-index:10000">
	<h4><?=$infos?></h4>
	<?=$autor?><br />
	<?=$criado?><br />
	<?=$atualizado?><br /><br />
	<?=$contador?><br /><br />
	<?=$zerar_cont?> <?=$editar_pagina?>
	</div>
<?php 
}
?><?=$recomendar?><?=$imprimir?>
</div>

