<?php

include '../../mainfile.php';
include_once "header.php";

// required fields
$name = $_POST['name'];
$email = $_POST['email'];
$comments = $_POST['comments'];
$emailPattern = '/^[^@\s]+@([-a-z0-9]+\.)+[a-z]{2,}$/i';
if ( trim($name) == '' || !preg_match($emailPattern, $email) || trim($comments) == '' ) {
   redirect_header($_SERVER['HTTP_REFERER'], 3, MPU_REFER_BLOCK_FORM_ERROR); // required field(s) not filled in
}

$phone = $_POST['phone'];

$choice = $_POST['choice']; // note - this is an array
$link = $_SERVER['HTTP_REFERER']; // link to referring page 


// check CAPTCHA here
      if ($xoopsModuleConfig['mpu_conf_captcha']) {
			 require_once 'class/captcha_x/class.captcha_x.php';
	 	   $captcha = &new captcha_x();
       if ( isset($_POST['captcha_field']) && ($captcha->validate($_POST['captcha_field'])) ) {  
        $captcha_code = true;
		   } else {
			   redirect_header($_SERVER['HTTP_REFERER'], 3, MPU_MOD_CAPTCHA_ERROR);
		   }
	    }
      else{
		   $captcha_code = true;
	    }



      $mailer = &getMailer();
			$mailer->useMail();
			$mailer->setTemplateDir(XOOPS_ROOT_PATH . "/modules/info/templates/mail/");
			$mailer->setTemplate("refer_block_mail.tpl");
			$toemails = explode(',', $_SESSION['mpu_refer_block_to_emails']); 
      			
			$mailer->setToEmails($toemails);
			$mailer->assign("NAME", $name);
			$mailer->assign("U_EMAIL", $email);
			$mailer->assign("PHONE", $phone);
			$mailer->assign("COMMENTS", $comments);
			$mailer->assign("CHOICE", implode(',', $choice)); // note - this is an array
			$mailer->assign("LINK", $link);
			$mailer->setFromEmail($xoopsConfig['adminmail']);
			$mailer->setFromName($xoopsConfig['sitename']);
			$mailer->setSubject("Customer Request Made From the Website");
			if ($mailer->send(true))
         redirect_header($_SERVER['HTTP_REFERER'], 3, MPU_REFER_BLOCK_SUCCESS); // redirect to referring page
      else   
         die('Could not send email.');
?>
